import java.util.Enumeration;
import java.util.Vector;

public class Customer
{
    private String name;
    private Vector rentals;

    public Customer( String name )
    {
        this.name    = name;
        this.rentals = new Vector();
    }

    public void addRental( Rental arg )
    {
        rentals.addElement( arg );
    }

    public String getName()
    {
        return name;
    }

    public String statement()
    {
        double totalCharge          = 0;
        int    frequentRenterPoints = 0;
        String result  = "Rental Record for " + getName() + "\n";

        Enumeration entries = rentals.elements();
        while ( entries.hasMoreElements() )
        {
            Rental each = (Rental) entries.nextElement();            
            double rentalCharge = each.chargeFor();

            // add frequent renter points
            frequentRenterPoints++;
            // add bonus for a two day new release rental
            if ((each.getMovie().getPriceCode() == Movie.NEW_RELEASE)
                && each.getDaysRented() > 1) 
                frequentRenterPoints++;

            // show figures for this rental
            result += "\t" + each.getMovie().getTitle() +
                      "\t" + String.valueOf(rentalCharge) + "\n";
            totalCharge += rentalCharge;
        }

        result += "Amount owed is " + String.valueOf(totalCharge) + "\n";
        result += "You earned " + String.valueOf(frequentRenterPoints) +
                  " frequent renter points";

        return result;
    }
}
