/**
 * The rental class represents a customer renting a movie.
 */
public class Rental
{
    private Movie movie;
    private int   daysRented;

    public Rental(Movie movie, int daysRented)
    {
        this.movie      = movie;
        this.daysRented = daysRented;
    }

    public int getDaysRented()
    {
        return daysRented;
    }

    public Movie getMovie()
    {
        return movie;
    }

    public double chargeFor()
    {
        double total = 0;

        switch (getMovie().getPriceCode()) {
           case Movie.REGULAR:
               total += 2;
               if (getDaysRented() > 2) 
                   total += (getDaysRented() - 2) * 1.5;
               break;
            case Movie.NEW_RELEASE:
                total += getDaysRented() * 3;
                break;
            case Movie.CHILDRENS:
                total += 1.5;
                if (getDaysRented() > 3)
                    total += (getDaysRented() - 3) * 1.5;
                break;
        }

        return total;
    }
}
